
package de.ivu.elect.was.exchange.kerg;

import de.ivu.elect.business.ergebnis.control.ErgebnisDaten;
import de.ivu.elect.business.ergebnis.entity.Stimmabgabeart;
import de.ivu.elect.business.gebietsbaum.entity.Wahldurchfuehrungsgebiet;
import de.ivu.elect.business.gruppe.entity.Gruppe;

public class GueltigeKergGruppeContainer extends AbstractKergGruppeContainer<Gruppe> {

  protected GueltigeKergGruppeContainer(ErgebnisDaten ergebnisDaten, Gruppe gruppe, Wahldurchfuehrungsgebiet gebiet, Stimmabgabeart stimmabgabeart) {
    super(ergebnisDaten, gruppe, gebiet, stimmabgabeart);
  }

  @Override
  protected Long getErstStimmenAktuell() {
    return getErgebnisDaten().getErststimmenAktuellGueltige(getGebiet(), getStimmabgabeart());
  }

  @Override
  protected Long getErstStimmenVorperiode() {
    return getErgebnisDaten().getErststimmenVorperiodeGueltige(getGebiet(), getStimmabgabeart());
  }

  @Override
  protected Long getZweitStimmenAktuell() {
    return getErgebnisDaten().getZweitstimmenAktuellGueltige(getGebiet(), getStimmabgabeart());
  }

  @Override
  protected Long getZweitStimmenVorperiode() {
    return getErgebnisDaten().getZweitstimmenVorperiodeGueltige(getGebiet(), getStimmabgabeart());
  }
}
